# Poco

# class FileStream

Library: Foundation
Package: Streams
Header: Poco/FileStream.h

## Description

A stream for reading from and writing to a file.

Files are always opened in binary mode, a text mode with CR-LF translation is not supported. Thus, the file is always opened as if the std::ios::binary flag was specified. Use an InputLineEndingConverter or OutputLineEndingConverter if you require CR-LF translation.

A seek (seekg() or seekp()) operation will always set the read position and the write position simultaneously to the same value.

On Windows platforms, UTF-8 encoded Unicode paths are correctly handled.

## Inheritance

Direct Base Classes: FileIOS, std::iostream

All Base Classes: FileIOS, std::ios, std::iostream

## Member Summary

Inherited Functions: close, open, rdbuf

## Constructors

### FileStream

FileStream();

Creats an unopened FileStream.

### FileStream

FileStream(
const std::string & path,
std::ios::openmode mode = std::ios::out | std::ios::in
);

Creates the FileStream for the file given by path, using the given mode.

## Destructor

### ~FileStream

~FileStream();

Destroys the FileOutputStream.